const LOGIN_URI = require('../config.js').LOGIN_URI
const API_INTERNAL_URI = require('../config.js').API_INTERNAL_URI
const req = require('../utils/request').httpReq


exports.login = async (ctx, next) => {
  var url = `${LOGIN_URI}/api/v1/pandora/auth`;
  var opts = {
    url: url,
    method: 'POST',
    json: true,
    timeout: 8000,
    body: ctx.request.body
  }
  ctx.body = await req(ctx, opts)
}

exports.getAdd_role = async (ctx, next) => {
  var url = `${API_INTERNAL_URI}/merchant/authority/add_role`;
  var opts = {
    url: url,
    method: 'POST',
    json: true,
    headers: {
      'content-type': 'application/json'
    },
  }
  ctx.body = await req(ctx, opts)
}



