const Router = require('koa-router');
const system = require('./controllers/system')
const role = require('./controllers/role')
const life = require('./controllers/life-no')
const user = require('./controllers/user')
const router = Router();
const API_VERSION = "/api/v1";
router.post(`${API_VERSION}/login`, system.login);
router.post(`${API_VERSION}/merchant/authority/role_list`, role.getRole_list)
router.post(`${API_VERSION}/merchant/authority/add_role`, role.getAdd_role)
router.post(`${API_VERSION}/merchant/authority/update_role`, role.getUpdate_role)
router.post(`${API_VERSION}/merchant/authority/get_role_list`, role.getAll_role_list)
router.post(`${API_VERSION}/merchant/authority/get_role_info`, role.get_role_info)
router.post(`${API_VERSION}/merchant/lifeinner/life_info`, role.getUser_detail)
router.get(`${API_VERSION}/merchant/lifeinner/life_list`, life.get_life_list)

module.exports = router;
